### Class

# FwupdPlugin FitFirmware

since: 1.0

#### Description [src]

    class FwupdPlugin.FitFirmware : FwupdPlugin.FdtFirmware
    {
      /* No available fields */
    }

A Flat Image Tree.

Documented: https://github.com/u-boot/u-boot/blob/master/doc/uImage.FIT/source_file_format.txt

See also: `FuFdtFirmware`

Available since: 1.0

#### Ancestors

- FuFdtFirmware
- FuFirmware
- GObject

#### Constructors

###### fu_fit_firmware_new

Creates a new `FuFirmware` of sub type FIT.

since: 1.8.2

#### Instance methods

###### fu_fit_firmware_get_timestamp

Gets the creation timestamp.

since: 1.8.2

###### fu_fit_firmware_set_timestamp

Sets the creation timestamp.

since: 1.8.2

##### Methods inherited from FuFdtFirmware (3)

###### fu_fdt_firmware_get_cpuid

Gets the CPUID.

since: 1.8.2

###### fu_fdt_firmware_get_image_by_path

Gets the FDT image for a specific path.

since: 1.8.2

###### fu_fdt_firmware_set_cpuid

Sets the CPUID.

since: 1.8.2

##### Methods inherited from FuFirmware (59)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct FwupdPluginFitFirmwareClass {
      FuFdtFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFdtFirmwareClass`
  No description available.